Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dba
Class JdbcActionBuilder

    java.lang.Object
      org.objectstyle.cayenne.dba.JdbcActionBuilder

All Implemented Interfaces:
  SQLActionVisitor

Direct Known Subclasses:
  DB2ActionBuilder, SQLServerActionBuilder

    public class JdbcActionBuilder

extends java.lang.Object
implements SQLActionVisitor

A factory of default SQLActions. Adapters usually subclass JdbcActionBuilder to provide custom actions for various query types.

Since:
  1.2
Author:
  Andrei Adamchik

Field Summary
`protected DbAdapter` | `adapter`
`protected EntityResolver` | `entityResolver`

Constructor Summary
`JdbcActionBuilder(DbAdapter adapter, EntityResolver resolver)`

Method Summary
`SQLAction` | `batchAction(BatchQuery query)` Executes a batch update query.
`DbAdapter` | `getAdapter()` Returns DbAdapter used associated with this action builder.
`EntityResolver` | `getEntityResolver()` Returns EntityResolver that can be used to gain access to the mapping objects.
`SQLAction` | `objectSelectAction(SelectQuery query)` Executes a SelectQuery.
`SQLAction` | `procedureAction(ProcedureQuery query)` Executes a ProcedureQuery.
`SQLAction` | `sqlAction(SQLTemplate query)` Executes a SQLTemplate.
`SQLAction` | `updateAction(Query query)` Executes a generic update query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    protected DbAdapter adapter

### entityResolver

    protected EntityResolver entityResolver

Constructor Detail

### JdbcActionBuilder

    public JdbcActionBuilder(DbAdapter adapter,
                             EntityResolver resolver)

Method Detail

### batchAction

    public SQLAction batchAction(BatchQuery query)

  Description copied from interface: `SQLActionVisitor`
  Executes a batch update query.

  Specified by:
    `batchAction` in interface `SQLActionVisitor`

### procedureAction

    public SQLAction procedureAction(ProcedureQuery query)

  Description copied from interface: `SQLActionVisitor`
  Executes a ProcedureQuery.

  Specified by:
    `procedureAction` in interface `SQLActionVisitor`

### objectSelectAction

    public SQLAction objectSelectAction(SelectQuery query)

  Description copied from interface: `SQLActionVisitor`
  Executes a SelectQuery.

  Specified by:
    `objectSelectAction` in interface `SQLActionVisitor`

### sqlAction

    public SQLAction sqlAction(SQLTemplate query)

  Description copied from interface: `SQLActionVisitor`
  Executes a SQLTemplate.

  Specified by:
    `sqlAction` in interface `SQLActionVisitor`

### updateAction

    public SQLAction updateAction(Query query)

  Description copied from interface: `SQLActionVisitor`
  Executes a generic update query.

  Specified by:
    `updateAction` in interface `SQLActionVisitor`

### getAdapter

    public DbAdapter getAdapter()

  Returns DbAdapter used associated with this action builder.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Returns EntityResolver that can be used to gain access to the mapping objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.